Portage is a package management system used by Gentoo Linux
# ChangeLog for net-analyzer/fail2ban
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/ChangeLog,v 1.43 2008/06/21 11:02:09 bluebird Exp $
21 Jun 2008; Friedrich Oslage
Add ~sparc at user request (Guido Winkelmann), bug #228591
15 Jun 2008; Zac Medico
fail2ban-0.8.1.ebuild, fail2ban-0.8.2.ebuild:
Bug #226505 - For compatibility with phase execution order in
>=portage-2.1.5, call has_version inside pkg_preinst instead of
pkg_postinst.
18 Mar 2008; Jeroen Roovers
Commit the changes proposed in bug #213796.
*fail2ban-0.8.2 (17 Mar 2008)
17 Mar 2008; Jeroen Roovers
Version bump.
27 Feb 2008; Cédric Krier
fail2ban-0.8.1.ebuild:
Fix logrotate for bug #207527
24 Oct 2007; Roy Marples
Keyworded ~x86-fbsd, #191510.
25 Sep 2007; Raphael Marichez
+files/fail2ban-logrotate, fail2ban-0.8.1.ebuild:
Add logrotate script file as from upstream documentation (bug 193745)
06 Sep 2007; Markus Ullmann
-fail2ban-0.8.0.ebuild:
Cleanup
*fail2ban-0.8.1 (31 Aug 2007)
31 Aug 2007; Raphael Marichez
Version bump, bug 190852. And adding virtual/mta runtime dependency.
05 Jul 2007; Raphael Marichez
fail2ban-0.8.0-r1.ebuild:
Conditional elogs for upgrading from 0.6 to 0.8, bug 183743
23 Jun 2007; Christoph Mende
fail2ban-0.8.0-r1.ebuild:
Stable on amd64 wrt bug 181214
18 Jun 2007; Raphael Marichez
-files/fail2ban-0.7.6.init.d.patch, fail2ban-0.6.2-r1.ebuild,
-fail2ban-0.7.5-r1.ebuild, -fail2ban-0.7.6.ebuild,
-fail2ban-0.7.6-r1.ebuild, -fail2ban-0.7.8.ebuild, fail2ban-0.7.9.ebuild,
fail2ban-0.8.0.ebuild, fail2ban-0.8.0-r1.ebuild:
Ensure python is compiled with readline support, thanks to Friedrich Oslage
10 Jun 2007; Raúl Porcel
x86 stable wrt security #181214
09 Jun 2007; Jeroen Roovers
Stable for HPPA (bug #181214).
*fail2ban-0.8.0-r1 (08 Jun 2007)
08 Jun 2007; Raphael Marichez
+files/fail2ban-0.8.0-regexp.patch, +fail2ban-0.8.0-r1.ebuild:
Revision bump fixes security bug 181214
*fail2ban-0.8.0 (13 May 2007)
13 May 2007; Cedric Krier
Version bump
*fail2ban-0.7.9 (28 Apr 2007)
28 Apr 2007; Raphael Marichez
Version bump (release candidate #2)
22 Apr 2007;
Use do{conf,init}d, bug #174266.
*fail2ban-0.7.8 (04 Apr 2007)
04 Apr 2007; Raphael Marichez
Version bump, upstream release candidate for the future stable branch.
10 Mar 2007; Peter Weller
Keyworded ~x86-fbsd
*fail2ban-0.7.6-r1 (03 Mar 2007)
03 Mar 2007; Raphael Marichez
+files/fail2ban-0.7.6.init.d.patch, +fail2ban-0.7.6-r1.ebuild:
Add support for "force" startup, bypassing an old socket (bug #168071)
*fail2ban-0.7.5-r1 (01 Feb 2007)
*fail2ban-0.6.2-r1 (01 Feb 2007)
01 Feb 2007; Markus Ullmann
+fail2ban-0.6.2-r1.ebuild, -fail2ban-0.7.5.ebuild,
+fail2ban-0.7.5-r1.ebuild:
echangelog Fix dependencies wrt bug #125883
*fail2ban-0.7.6 (01 Feb 2007)
01 Feb 2007; Markus Ullmann
-fail2ban-0.6.1-r1.ebuild, -fail2ban-0.7.2.ebuild, +fail2ban-0.7.6.ebuild:
Version bump and cleanup
23 Jan 2007; Steve Dibb
amd64 stable, security bug 157166
14 Dec 2006; Jeroen Roovers
Stable for HPPA (bug #157166).
*fail2ban-0.6.2 (12 Dec 2006)
12 Dec 2006; Andrej Kacian
Version bump due to security bug #157166.
10 Dec 2006; Cedric Krier
Add man page for bug #157736
*fail2ban-0.7.5 (10 Dec 2006)
10 Dec 2006; Marcelo Goes
+fail2ban-0.7.5.ebuild:
0.7.5 version bump for bug 157645. Thanks to Kilburn Abrahams
*fail2ban-0.7.4 (09 Dec 2006)
09 Dec 2006; Cedric Krier
Version bump
*fail2ban-0.7.2 (19 Sep 2006)
19 Sep 2006; Benjamin Smee
Version bump. Thanks to Cyril Jaquier
12 Aug 2006; Markus Rothe
Added ~ppc64; bug #142828
05 Aug 2006; Tobias Scherbaum
digest fix
05 Aug 2006; Tobias Scherbaum
fail2ban-0.6.1-r1.ebuild:
Added ~ppc, bug 142828
29 Apr 2006; Marcelo Goes
fail2ban-0.6.1-r1.ebuild:
Updated HOMEPAGE: point to project homepage instead of summary page. Fixes
bug 131683, thanks to Steve Dibb
*fail2ban-0.6.1-r1 (11 Apr 2006)
11 Apr 2006; Marcelo Goes
+fail2ban-0.6.1-r1.ebuild:
Template configuration file is now called fail2ban.conf.iptables, not
fail2ban.conf.default. Thanks to Guillaume Castagnino
*fail2ban-0.6.1 (10 Apr 2006)
10 Apr 2006; Marcelo Goes
0.6.1 version bump for bug 129477. Thanks to FieldySnuts
16 Mar 2006; Marcelo Goes
Add iptables to RDEPEND for bug 125883, thanks to Aaron Kulbe
07 Mar 2006; Jeroen Roovers
Stable on hppa (bug #122034).
08 Feb 2006; Jeroen Roovers
Marked ~hppa (bug #122034).
16 Jan 2006; Simon Stelling
stable on amd64
15 Jan 2006; Andrej Kacian
Stable on x86, bug #119036.
22 Nov 2005; Luis Medinas
Added ~amd64 keywords.
*fail2ban-0.6.0 (20 Nov 2005)
20 Nov 2005; Marcelo Goes
+fail2ban-0.6.0.ebuild:
Initial commit. Fixes bug 90339. Thanks to Cyril Jaquier
AUX fail2ban-0.8.0-regexp.patch 854 RMD160 24caae16d90adcf39577bd641ff6a09857908f73 SHA1 c5f47134328744a1597b8fcb67105ec82d61a14c SHA256 6019024dbf067f8a78618eb728f3afef90daa75bbcd201be2119c323c1afd6d1
AUX fail2ban-logrotate 163 RMD160 8b64b7af9c0ee6bb9064f5858c0e58cda0609958 SHA1 287a067a369b1da6ddfee855e4950d6b222e2ba2 SHA256 6a668bc9383371f258eae6008b925a18d587e6120edd4a7add3e1a20ac3ca4b0
AUX fail2ban.conf.d 217 RMD160 7d8b079d1b569caf1d822af0ec8a040723f492c5 SHA1 9592b732be3d96699c9872add7287e82260f37c0 SHA256 e35f1f820bfe5ecaac2696d60155c348d84af428e8c615e97b900c24a587d233
DIST fail2ban-0.6.2.tar.bz2 25068 RMD160 6c829fc84d8e41c4daf4b9b1a7e2dd71a54eab01 SHA1 edfecbfac3050ead95d274b05b132890cdc302b7 SHA256 0009aa0ee055f900e157ee04d58f5cb3dfad9659197ee114643c48533e7744c4
DIST fail2ban-0.8.0.tar.bz2 55726 RMD160 16c033a9fbd10a468ac62d6ba31becf5966a5647 SHA1 b48c8ed269dfc6b2901573ac83c9680abb09e342 SHA256 ef60f601a8766128910f08ca5e731782d7ca17c014dcf6ab54982e7ae59bd5f6
DIST fail2ban-0.8.1.tar.bz2 58321 RMD160 7f695e2efc4af3fe21657a4d1613cd7beeb623ad SHA1 89eee4c31357581dd5d5da7ea4cf28d2717d470a SHA256 3c3adc67c5f2b4fc72c9ea22e52c4cdfd9f901f6c238616416444560f56f6403
DIST fail2ban-0.8.2.tar.bz2 61534 RMD160 7818d526e1af47fac35edc1d60bf2e6da1253d06 SHA1 f4a41ca782b51f1b5fd579c20ef310004a9974f9 SHA256 9ee445fa4149c7376f75bbda1dbdb48626fbeb29cb8bd0c16509ebfd7f22dc3a
EBUILD fail2ban-0.6.2-r1.ebuild 1280 RMD160 2624e486fcf757f9a90564c775051ba751551c2c SHA1 78f753d0740c3b5f95da72d10fcbe9ce4bbc671d SHA256 260de4a5981fa2df7fdfb03d9df66bbda6751f746451158bd1f73f7ac43c907a
EBUILD fail2ban-0.8.0-r1.ebuild 1663 RMD160 5051d1c617a1e82bac36839af0c31117b094f887 SHA1 cc1ed4e689b67bc55426e391d6c2b51587d1168f SHA256 9155af4b9a4fc090ad9e292e14db5ad579c694c88212cfabcbe3de1d83e4c470
EBUILD fail2ban-0.8.1.ebuild 1813 RMD160 7c389a71cf7f4ef93db9aafc70cc7b5d11912d5b SHA1 a561cfe3dc40d535bce2ac904d528f8e7c52347d SHA256 cd11f72ae9d99fa39c7e21878cab6454cde126fe37a7cf90bcea5dcd1fbc0904
EBUILD fail2ban-0.8.2.ebuild 1634 RMD160 08c07dfc2b794f9e8da8edd564cf441bd9b25a1b SHA1 772a92df5eae8f14c8e3b9ef732e07b1227f4200 SHA256 28790d0db93d586c4a9ba170cd1e579f42447a2f3f75c7f8fce69a5ba2fbda4a
MISC ChangeLog 7013 RMD160 9cb1e37a1a29a4bc68a9962ca7d2e42f27843914 SHA1 cf878054a65c5a1565d069489e957cacef3edfb3 SHA256 781e70c91276998581aaea231d6d628038d08ecf5bbc78f2936e99bc6746b560
MISC metadata.xml 159 RMD160 28e799fe0fd02aaab9d4bbe5595f133101606f5b SHA1 9f5df3eabd621951a959cc8e0e2e0d352cd1fe1e SHA256 b75c711bd971e46f0ec957e833c60879b0c5023e0bb94409a6255781b69f6dc6
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.6.2-r1.ebuild,v 1.4 2007/06/18 12:34:52 falco Exp $
inherit distutils
DESCRIPTION="Bans IP that make too many password failures"
HOMEPAGE="http://fail2ban.sourceforge.net/"
SRC_URI="mirror://sourceforge/fail2ban/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 hppa ~ppc ~ppc64 x86 ~x86-fbsd"
IUSE=""
DEPEND=">=dev-lang/python-2.4"
RDEPEND=${DEPEND}
src_install() {
# Use python setup
python setup.py install --root="${D}" || die
# Use fail2ban.conf.default as default config file
insinto /etc
newins config/fail2ban.conf.iptables fail2ban.conf
# Install initd scripts
newinitd config/gentoo-initd fail2ban
newconfd config/gentoo-confd fail2ban
# Doc
doman man/*.[0-9]
dodoc CHANGELOG README TODO
}
pkg_postinst() {
einfo "Please edit /etc/fail2ban.conf with parameters"
einfo "that correspond to your system."
}
pkg_setup() {
if ! built_with_use dev-lang/python readline ; then
echo
eerror "dev-lang/python is missing readline support. Please add"
eerror "'readline' to your USE flags, and re-emerge dev-lang/python."
die "dev-lang/python needs readline support"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.8.0-r1.ebuild,v 1.7 2008/06/15 09:21:26 zmedico Exp $
inherit distutils
DESCRIPTION="Bans IP that make too many password failures"
HOMEPAGE="http://fail2ban.sourceforge.net/"
SRC_URI="mirror://sourceforge/fail2ban/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 hppa ~ppc ~ppc64 x86"
IUSE=""
DEPEND=">=dev-lang/python-2.4"
RDEPEND=${DEPEND}
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}/${P}-regexp.patch"
}
src_install() {
distutils_src_install
newconfd files/gentoo-confd fail2ban
newinitd files/gentoo-initd fail2ban
dodoc CHANGELOG README TODO || die "dodoc failed"
doman man/*.1 || die "doman failed"
}
pkg_preinst() {
has_version "<${CATEGORY}/${PN}-0.7"
previous_less_than_0_7=$?
}
pkg_postinst() {
if [[ $previous_less_than_0_7 = 0 ]] ; then
elog
elog "Configuration files are now in /etc/fail2ban/"
elog "You probably have to manually update your configuration"
elog "files before restarting Fail2ban!"
elog
elog "Fail2ban is not installed under /usr/lib anymore. The"
elog "new location is under /usr/share."
elog
elog "You are upgrading from version 0.6.x, please see:"
elog "http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8"
fi
}
pkg_setup() {
if ! built_with_use dev-lang/python readline ; then
echo
eerror "dev-lang/python is missing readline support. Please add"
eerror "'readline' to your USE flags, and re-emerge dev-lang/python."
die "dev-lang/python needs readline support"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.8.1.ebuild,v 1.5 2008/06/15 09:21:26 zmedico Exp $
inherit distutils
DESCRIPTION="Bans IP that make too many password failures"
HOMEPAGE="http://fail2ban.sourceforge.net/"
SRC_URI="mirror://sourceforge/fail2ban/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd"
IUSE=""
DEPEND=">=dev-lang/python-2.4"
RDEPEND="${DEPEND}
virtual/mta"
src_install() {
distutils_src_install
newconfd files/gentoo-confd fail2ban
newinitd files/gentoo-initd fail2ban
dodoc CHANGELOG README TODO || die "dodoc failed"
doman man/*.1 || die "doman failed"
# Use INSTALL_MASK if you do not want to touch /etc/logrotate.d.
# See http://thread.gmane.org/gmane.linux.gentoo.devel/35675
insinto /etc/logrotate.d
newins "${FILESDIR}"/${PN}-logrotate ${PN} || die
}
pkg_preinst() {
has_version "<${CATEGORY}/${PN}-0.7"
previous_less_than_0_7=$?
}
pkg_postinst() {
if [[ $previous_less_than_0_7 = 0 ]] ; then
elog
elog "Configuration files are now in /etc/fail2ban/"
elog "You probably have to manually update your configuration"
elog "files before restarting Fail2ban!"
elog
elog "Fail2ban is not installed under /usr/lib anymore. The"
elog "new location is under /usr/share."
elog
elog "You are upgrading from version 0.6.x, please see:"
elog "http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8"
fi
}
pkg_setup() {
if ! built_with_use dev-lang/python readline ; then
echo
eerror "dev-lang/python is missing readline support. Please add"
eerror "'readline' to your USE flags, and re-emerge dev-lang/python."
die "dev-lang/python needs readline support"
fi
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/fail2ban/fail2ban-0.8.2.ebuild,v 1.4 2008/06/21 11:02:09 bluebird Exp $
inherit distutils
DESCRIPTION="Bans IP that make too many password failures"
HOMEPAGE="http://fail2ban.sourceforge.net/"
SRC_URI="mirror://sourceforge/fail2ban/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""
DEPEND=">=dev-lang/python-2.4"
RDEPEND="${DEPEND}
virtual/mta"
src_install() {
distutils_src_install
diropts -m 0755 -o root -g root
dodir /var/run/${PN}
keepdir /var/run/${PN}
newconfd files/gentoo-confd fail2ban
newinitd files/gentoo-initd fail2ban
dodoc ChangeLog README TODO || die "dodoc failed"
doman man/*.1 || die "doman failed"
# Use INSTALL_MASK if you do not want to touch /etc/logrotate.d.
# See http://thread.gmane.org/gmane.linux.gentoo.devel/35675
insinto /etc/logrotate.d
newins "${FILESDIR}"/${PN}-logrotate ${PN} || die
}
pkg_preinst() {
has_version "<${CATEGORY}/${PN}-0.7"
previous_less_than_0_7=$?
}
pkg_postinst() {
if [[ $previous_less_than_0_7 = 0 ]] ; then
elog
elog "Configuration files are now in /etc/fail2ban/"
elog "You probably have to manually update your configuration"
elog "files before restarting Fail2ban!"
elog
elog "Fail2ban is not installed under /usr/lib anymore. The"
elog "new location is under /usr/share."
elog
elog "You are upgrading from version 0.6.x, please see:"
elog "http://www.fail2ban.org/wiki/index.php/HOWTO_Upgrade_from_0.6_to_0.8"
fi
}